﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Woyou.Aidlservice.Jiuiv5;

namespace SDKuDemo.Droid
{
    [Service]
    [IntentFilter(new String[] { "woyou.aidlservice.jiuiv5" })]
    class WoyouService: Service
    {
		private static readonly string Tag = "WoyouService";
		private WoyouServiceBinder _binder;

		public override void OnCreate()
		{
			base.OnCreate();
			System.Diagnostics.Debug.WriteLine(Tag + ": Woyou Service created.");
		}

		public override IBinder OnBind(Intent intent)
		{
			_binder = new WoyouServiceBinder();
			return _binder;
		}
		public override void OnDestroy()
		{
			base.OnDestroy();
			System.Diagnostics.Debug.WriteLine(Tag + ": Addition service stopped.");
		}
	}
}