﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Xamarin.Forms;

[assembly: Dependency(typeof(SDKuDemo.Droid.DependencyService))]
namespace SDKuDemo.Droid
{

    class DependencyService : INativeSupport
    {

        public static int ENABLE = 1;

        public static int DISABLE = 2;

        public static int ENABLE_DOUBLE_WIDTH = 1000;

        public static int ENABLE_DOUBLE_HEIGHT = 1001;

        public static int ENABLE_BOLD = 1002;

        public static int ENABLE_UNDERLINE = 1003;

        public static int ENABLE_ANTI_WHITE = 1004;

        public static int ENABLE_STRIKETHROUGH = 1005;

        public static int ENABLE_ILALIC = 1006;

        public static int ENABLE_INVERT = 1007;

        public static int SET_TEXT_RIGHT_SPACING = 2000;

        public static int SET_RELATIVE_POSITION = 2001;

        public static int SET_ABSOLUATE_POSITION = 2002;

        public static int SET_LINE_SPACING = 2003;

        public static int SET_LEFT_SPACING = 2004;

        public static int SET_STRIKETHROUGH_STYLE = 2005;

        public bool printerAttached()
        {
            return MainActivity.SharedController.IsBound;
        }

        public bool printText(string text, float size)
        {
            if (!MainActivity.SharedController.IsBound) return false;
            if (MainActivity.SharedController.IsBound)
            {

                MainActivity.SharedController.Service.PrintTextWithFont(text + "\r\n", null, size, null);

                MainActivity.SharedController.Service.LineWrap(3, null);
            }
            return true;
        }

        public void ReleasePrinter()
        {
            MainActivity.SharedController.ReleaseService();
        }
    }
}